Subject: Re: bug#24822: 25.1; [PATCH] Support remapping control X keysym

From: Alex <[email-masked]>
Date: Sat, 29 Oct 2016 23:14:04 -0600

Vasilij Schneidermann <[email-masked]> writes:

> There is a number of X keysyms that can be remapped inside Emacs, namely
> alt, hyper, meta and super.  I found it odd that control is not on the
> list (and to a lesser degree, shift), so I wrote a patch to offer it as
> additional remappable X keysym.  This way one can swap the control and
> meta key in Emacs with `(setq x-meta-keysym 'ctrl x-ctrl-keysym 'meta)`.

In the patch, all of the x-*-keysyms have the same docstring (including
the same examples and default). Is that intentional?